ohai_13.8.0-1_all.deb


Advertisement

Description

ohai - Detects data about your operating system and reports it in JSON

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename ohai_13.8.0-1_all.deb
Package name ohai
Package version 13.8.0
Package release 1
Package architecture all
Package type deb
Category universe/admin
Homepage https://docs.chef.io/ohai.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 91.02 KB
Installed size 599.00 KB
Information about your system is collected and returned as multidimensional
attributes in JSON format. The following information is captured:
* Operating system and kernel
* Filesystems in use
* Network configuration and statistics
* Available languages
* Virtualization

Alternatives

Package Version Architecture Repository
ohai_13.8.0-1_all.deb 13.8.0 all Ubuntu Universe
ohai - - -

Requires

Name Value
ruby -
ruby-chef-config >= 12.5.0.alpha.1
ruby-ffi >= 1.9
ruby-ffi-yajl >= 2.2
ruby-interpreter -
ruby-ipaddress -
ruby-mixlib-cli -
ruby-mixlib-config >= 2.0
ruby-mixlib-log >= 1.7.1
ruby-mixlib-shellout >= 2.0
ruby-plist >= 3.1
ruby-systemu >= 2.6.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ohai_13.8.0-1_all.deb
Source Package ohai

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ohai deb package:
    # sudo apt-get install ohai

Files

Path
/usr/bin/ohai
/usr/lib/ruby/vendor_ruby/ohai.rb
/usr/lib/ruby/vendor_ruby/ohai/application.rb
/usr/lib/ruby/vendor_ruby/ohai/config.rb
/usr/lib/ruby/vendor_ruby/ohai/dsl.rb
/usr/lib/ruby/vendor_ruby/ohai/exception.rb
/usr/lib/ruby/vendor_ruby/ohai/hints.rb
/usr/lib/ruby/vendor_ruby/ohai/loader.rb
/usr/lib/ruby/vendor_ruby/ohai/log.rb
/usr/lib/ruby/vendor_ruby/ohai/mash.rb
/usr/lib/ruby/vendor_ruby/ohai/plugin_config.rb
/usr/lib/ruby/vendor_ruby/ohai/provides_map.rb
/usr/lib/ruby/vendor_ruby/ohai/runner.rb
/usr/lib/ruby/vendor_ruby/ohai/system.rb
/usr/lib/ruby/vendor_ruby/ohai/version.rb
/usr/lib/ruby/vendor_ruby/ohai/common/dmi.rb
/usr/lib/ruby/vendor_ruby/ohai/dsl/plugin.rb
/usr/lib/ruby/vendor_ruby/ohai/dsl/plugin/versionvi.rb
/usr/lib/ruby/vendor_ruby/ohai/dsl/plugin/versionvii.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/azure_metadata.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/command.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/constant_helper.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/dmi_decode.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/do_metadata.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/ec2_metadata.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/gce_metadata.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/http_helper.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/network_constants.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/os.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/seconds_to_human.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/softlayer_metadata.rb
/usr/lib/ruby/vendor_ruby/ohai/mixin/string.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/azure.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/c.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/chef.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/cloud.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/command.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/digital_ocean.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/dmi.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ec2.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/elixir.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/erlang.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/eucalyptus.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/gce.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/go.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/groovy.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/haskell.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/hostname.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/init_package.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ip_scopes.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/java.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/joyent.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/kernel.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/keys.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/languages.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linode.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/lua.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/mono.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/nodejs.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ohai.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ohai_time.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/openstack.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/os.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/packages.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/passwd.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/perl.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/php.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/powershell.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ps.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/python.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/rackspace.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/root_group.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ruby.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/rust.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/scala.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/shard.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/shells.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/softlayer.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/ssh_host_key.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/sysconf.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/timezone.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/uptime.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/virtualbox.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/vmware.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/zpools.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/filesystem.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/kernel.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/os.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/uptime.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/aix/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/bsd/filesystem.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/bsd/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/filesystem.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/hardware.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/system_profiler.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/darwin/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/dragonflybsd/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/dragonflybsd/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/dragonflybsd/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/dragonflybsd/os.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/dragonflybsd/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/freebsd/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/freebsd/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/freebsd/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/freebsd/os.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/freebsd/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/block_device.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/filesystem.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/fips.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/hostnamectl.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/lsb.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/lspci.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/machineid.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/mdadm.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/sessions.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/systemd_paths.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/linux/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/netbsd/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/netbsd/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/netbsd/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/netbsd/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/openbsd/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/openbsd/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/openbsd/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/openbsd/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/dmi.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/filesystem.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/solaris2/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/cpu.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/drivers.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/filesystem.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/fips.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/memory.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/network.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/platform.rb
/usr/lib/ruby/vendor_ruby/ohai/plugins/windows/virtualization.rb
/usr/lib/ruby/vendor_ruby/ohai/util/file_helper.rb
/usr/lib/ruby/vendor_ruby/ohai/util/ip_helper.rb
/usr/lib/ruby/vendor_ruby/ohai/util/win32.rb
/usr/lib/ruby/vendor_ruby/ohai/util/win32/group_helper.rb
/usr/share/doc/ohai/README.md
/usr/share/doc/ohai/changelog.Debian.gz
/usr/share/doc/ohai/copyright
/usr/share/man/man1/ohai.1.gz
/usr/share/rubygems-integration/all/specifications/ohai-13.8.0.gemspec

Changelog

2018-05-17 - Stefano Rivera <stefanor@debian.org>
ohai (13.8.0-1) unstable; urgency=medium
* New upstream release.
- Supports ruby 2.5 (Closes: #892196)
* Refresh patches.
* Update copyright (and merge blocks with the same license, for sanity).
* Bump Standards-Version to 4.1.4, no changes needed.
* Patch: Ignore missing ipaddr_extensions.
* Declare Rules-Requires-Root: no.
* Bump debhelper compat to 10.
* Migrate watch file to version 4, https://gitwatch.debian.net/
* Migrate package hosting to salsa.debian.org.
* Remove trailing whitespace from changelog.
2016-10-31 - Antonio Terceiro <terceiro@debian.org>
ohai (8.21.0-1) unstable; urgency=medium
* New upstream version 8.21.0
* refresh patches
2016-09-19 - Antonio Terceiro <terceiro@debian.org>
ohai (8.20.0-1) unstable; urgency=medium
* New upstream version 8.20.0
- refresh patches
- drop patch to avoid dependency on rspec-collection_matchers, which has
been packaged since.
* update packaging with new `dh-make-ruby -w` run
- a bunch of dependencies updates
- updated homepage
- updated debian/ruby-tests.rake to latest version
* add patch to mark 2 test cases that are Windows-specific as such
2016-03-04 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
ohai (8.10.0-1) unstable; urgency=medium
* Team upload.
* Imported Upstream version 8.10.0
* debian/patches: refresh patches and drop
0003-Ruby-plugin-run-only-against-default-Ruby.patch, already applied by
upstream
* debian/control: depends (build and runtime) on ruby-chef-config
* debian/patches: update 0001-Drop-dependency-on-wmi-lite.patch
* Create patch that removes relative references of source code in tests
* debian/copyright: update upstream copyright
* Update Debian packaging copyright
* Bump debhelper compatibility level to 9
* Declare compliance with Debian policy 3.9.7
* debian/control: use secure uri in Vcs-Git field
2015-06-16 - Antonio Terceiro <terceiro@debian.org>
ohai (8.4.0-1) unstable; urgency=medium
* New upstream release
* Drop all patches, not needed anymore
* Update packaging with a new dh-make-ruby run
- Added dependencies on ruby-plist and ruby-sigar by hand; upstream
metadata is missing them (reported as
https://github.com/chef/ohai/issues/556)
* Add 0001-Drop-dependency-on-wmi-lite.patch to remove a Windows-only
dependency
* Add 0002-Avoid-dependency-on-rspec-collection_matchers.patch to make the
tests not depend on an unpackage rspec extension.
* Add 0003-Ruby-plugin-run-only-against-default-Ruby.patch: restrict tests
of the Ruby plugin to the default Ruby interpreter.
2012-06-30 - Antonio Terceiro <terceiro@debian.org>
ohai (6.14.0-2) unstable; urgency=low
* Bump standards version to 3.9.2; no changes needed
* Bump build dependency on gem2deb to >= 0.3.0~
2012-05-31 - Tollef Fog Heen <tfheen@debian.org>
ohai (6.14.0-1) unstable; urgency=low
* New upstream version
2012-05-03 - Tollef Fog Heen <tfheen@debian.org>
ohai (0.6.12-3) unstable; urgency=low
* Add more missing dependencies.
* Move to section admin as per ftp-master overrides.
2012-05-03 - Tollef Fog Heen <tfheen@debian.org>
ohai (0.6.12-2) unstable; urgency=low
* Add missing dependency on ruby-ipaddress.
* Add missing dependency on ruby-sigar.

See Also

Package Description
ohcount-doc_3.1.1-2_all.deb Source code line counter - Documentation
ohcount_3.1.1-2_amd64.deb Source code line counter
oidentd_2.3.2-1_amd64.deb replacement ident daemon
oidua_0.16.1-9_amd64.deb audio file metadata lister
oinkmaster_2.0-4_all.deb Snort rules manager
okteta-dev_0.25.5-1ubuntu1_amd64.deb Development files for Okteta
okteta_0.25.5-1ubuntu1_amd64.deb hexadecimal editor for binary files
okular-backend-odp_3.1.0+dfsg-5ubuntu3_amd64.deb Okular backend for ODP documents
okular-backend-odt_3.1.0+dfsg-5ubuntu3_amd64.deb Okular backend for ODT documents
okular-dev_18.12.3-0ubuntu1_amd64.deb development files for the Okular libraries
okular-extra-backends_18.12.3-0ubuntu1_amd64.deb additional document format support for Okular
okular-mobile_18.12.3-0ubuntu1_amd64.deb mobile support for Okular
okular_18.12.3-0ubuntu1_amd64.deb universal document viewer
ola-python_0.10.7.nojsmin-1ubuntu2_all.deb Open Lighting Architecture - Python Classes
ola-rdm-tests_0.10.7.nojsmin-1ubuntu2_all.deb Open Lighting Architecture - RDM Responder Tests
Advertisement
Advertisement